using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace DataSharing.SendTask
{
    /// <summary>
    /// 推送任务数据明细
    /// </summary>
    [Description("推送任务数据明细")]
    [SugarIndex("index_DsSendTaskDetailInfo_TaskId", nameof(TaskId), OrderByType.Desc)]
    public class DsSendTaskDetailInfo : CreationEntity
    {
        /// <summary>
        /// 任务Id
        /// </summary>
        [SugarColumn(ColumnDescription = "任务Id")]
        public string TaskId { get; set; }

        /// <summary>
        /// 推送成功
        /// </summary>
        [SugarColumn(ColumnDescription = "推送成功")]
        public bool IsSuccess { get; set; }

        /// <summary>
        /// 返回数据
        /// </summary>
        [SugarColumn(ColumnDataType = "text", IsNullable = true, ColumnDescription = "返回数据")]
        public string? Result { get; set; }

        /// <summary>
        /// 返回错误消息
        /// </summary>
        [SugarColumn(ColumnDataType = "text", IsNullable = true, ColumnDescription = "返回错误消息")]
        public string? ResultErrorData { get; set; }

        /// <summary>
        /// 读取服务名称
        /// </summary>
        [SugarColumn(ColumnDescription = "读取服务名称")]
        public string? ProcessingServices { get; set; }
    }
}
